View Issue Details

IDProjectCategoryView StatusLast Update
0001749Common[All Projects] Generalpublic2017-04-25 17:20
ReporterXenosAssigned ToXenostom 
PriorityurgentSeveritymajorReproducibilityhave not tried
Status CloseResolutionfixed 
Product Version 
Target VersionFixed in Version2.0.6 
Summary0001749: Transformer mes modifications en plugin
DescriptionCela m'assurerait une meilleure tenue dans le temps, et cela me permettrait également de les diffuser.
TagsMantis
Attach Tags

Activities

Xenos

Xenos

2016-11-21 21:34

administrator   ~0002749

Ca devient urgent car Mantis 1.2.x n'est plus maintenu, et il va donc falloir passer à la 1.3.3 (et m'assurer que les prochaines montées de version soient elles aussi simples).
Anonymous

Anonymous

2016-11-24 18:50

reporter   ~0002750

Last edited: 2016-11-27 16:04

C'est fait, mais il faut que je remette en place mes modifications. Principalement, il faut:

- Que la version mobile soit acceptable (pas besoin de tartiner de code pour l'esthétisme, il faut juste jouer sur l'agencement des éléments) et masquer certains éléments inutiles ou les réordonner (avec flex, ça se fait bien)

- Il faut remettre la démarche simplifiée pour reporter un bogue (le principe des boutons qui permettent de reporter facilement les bogues, les features, et le bouton "afficher tout"). Ca se fera bien en javascript, en rajoutant les required="required" sur les bons champs. Il faudra faire attention à ne pas péter le fait que le navigateur retient ce qu'on a rentré et le repropose quand on fait "précédent", sinon, ça va faire chier de devoir re-taper un truc en cas d'erreur.
Xenos

Xenos

2016-11-27 14:57

administrator   ~0002751

Last edited: 2016-11-27 16:04

Le skin est moins esthétique qu'avant je trouve, mais j'ai vraiment **pas** envie de recommencer à le faire à chaque montée de version de Mantis.

Donc, cela ira très bien comme ça. Au pire, je masquerai certains trucs peu utiles au fil du temps. Sans retoucher aux fichiers-core de Mantis.

Putain, quels bordel ils ont réussi à foutre dans leurs CSS et leurs classes HTML !

Issue History

Date Modified Username Field Change
2016-09-23 21:13 Xenos New Issue
2016-09-23 21:13 Xenos Status New => Accepted
2016-11-21 21:34 Xenos Note Added: 0002749
2016-11-21 21:34 Xenos Priority none => urgent
2016-11-22 14:05 Xenostom Assigned To => Xenostom
2016-11-22 14:05 Xenostom Status Accepted => In progress
2016-11-23 21:54 AutoUpdater Status In progress => Resolved
2016-11-23 21:54 AutoUpdater Resolution open => fixed
2016-11-23 21:54 AutoUpdater Fixed in Version => 2.0.0
2016-11-23 22:38 AutoUpdater Fixed in Version 2.0.0 => 2.0.1
2016-11-24 00:07 AutoUpdater Fixed in Version 2.0.1 => 2.0.2
2016-11-24 00:27 AutoUpdater Fixed in Version 2.0.2 => 2.0.3
2016-11-24 18:50 Anonymous Note Added: 0002750
2016-11-27 14:41 AutoUpdater Fixed in Version 2.0.3 => 2.0.4
2016-11-27 14:57 Xenos Status Resolved => Close
2016-11-27 14:57 Xenos Note Added: 0002751
2016-11-27 15:20 AutoUpdater Status Close => Resolved
2016-11-27 15:20 AutoUpdater Fixed in Version 2.0.4 => 2.0.5
2016-11-27 16:04 AutoUpdater Fixed in Version 2.0.5 => 2.0.6
2016-11-29 20:50 Xenos Status Resolved => Close
2017-04-25 17:20 Xenos Tag Attached: Mantis
2017-04-25 17:20 Xenos Project @5@ => Common